curl https://api.okrapdf.com/v1/documents/doc-abc123/entities/figures \
-H "Authorization: Bearer okra_YOUR_KEY"
Entities
List Figures
List all figures extracted from a document.
GET
/
v1
/
documents
/
{id}
/
entities
/
figures
curl https://api.okrapdf.com/v1/documents/doc-abc123/entities/figures \
-H "Authorization: Bearer okra_YOUR_KEY"
Overview
Returns all figure nodes extracted from a document. Does not require authentication for public documents.Request
string
required
Document ID (e.g.
doc-abc123) or 6-char short hash.integer
Max number of figures to return.
integer
Number of figures to skip (for pagination).
curl https://api.okrapdf.com/v1/documents/doc-abc123/entities/figures \
-H "Authorization: Bearer okra_YOUR_KEY"
Response (200)
{
"nodes": [
{
"type": "figure",
"value": "Figure 1: Revenue breakdown by segment"
}
]
}